package com.guwan.backend.service;

import com.guwan.backend.dto.video.VideoDTO;
import java.util.List;

public interface VideoRecommendService {
    // 获取推荐视频列表
    List<VideoDTO> getRecommendVideos(Long userId, int limit);
    
    // 记录用户行为
    void recordUserBehavior(Long userId, Long videoId, String behaviorType, Integer watchDuration, Float watchProgress);
    
    // 更新用户兴趣
    void updateUserInterests(Long userId);
    
    // 计算视频相似度
    double calculateVideoSimilarity(Long videoId1, Long videoId2);
    
    // 获取相似视频
    List<VideoDTO> getSimilarVideos(Long videoId, int limit);
} 